# Example of calling modules to build an RE environment

## Prerequisites

- aws-cli
- tfenv
- ansible 

## Generate Key Pair

```
aws ec2 create-key-pair --profile redislabs --key-name maguec1 --region us-west-1 \
| jq .KeyMaterial |  awk '{gsub(/\\n/,"\n")}1' | \
sed -e s/\"//g >> ~/.ssh/maguec1.pem

chmod 0600 ~/.ssh/maguec1.pem
```

# After ansible

```
# download roles
cd ansible && rm -rf roles/* && ansible-galaxy install --roles-path roles -r requirements.yml
```


```
ansible-playbook ansible/cp_nodes.yml --private-key ~/.ssh/maguec1.pem -i inventories/maguec1_all_nodes.ini
```

```
ansible-playbook ansible/test_nodes.yml --private-key ~/.ssh/maguec1.pem -i inventories/tester.ini 
```

